DRM_RECT_CALC_HSCALE(9)

NAME
drm_rect_calc_hscale_relaxed - calculate the horizontal scaling factor

SYNOPSIS

int drm_rect_calc_hscale_relaxed(struct drm_rect * src, struct drm_rect * dst, int min_hscale, int max_hscale);

ARGUMENTS

src
    source window rectangle

dst
    destination window rectangle

min_hscale
    minimum allowed horizontal scaling factor

max_hscale
    maximum allowed horizontal scaling factor

DESCRIPTION

Calculate the horizontal scaling factor as (src width) / (dst width).

If the calculated scaling factor is below min_vscale, decrease the height of rectangle dst to compensate.

If the calculated scaling factor is above max_vscale, decrease the height of rectangle src to compensate.

RETURNS

The horizontal scaling factor.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT